// ----------------------------------------------------------------------------
// markItUp!
// ----------------------------------------------------------------------------
// Copyright (C) 2008 Jay Salvat
// http://markitup.jaysalvat.com/
// ----------------------------------------------------------------------------
// BBCode tags example
// http://en.wikipedia.org/wiki/Bbcode
// ----------------------------------------------------------------------------
// Feel free to add more tags
// ----------------------------------------------------------------------------
// U4.4.

mySettings = {
	previewParserPath:	'~/parser.php', // path to your BBCode parser
	previewParserVar: 'text',
	previewAutoRefresh: 'true',
	previewPosition: 'before',
	markupSet: [
		{name:'', key:'B', openWith:'[b]', closeWith:'[/b]'},
		{name:'', key:'I', openWith:'[i]', closeWith:'[/i]'},
		{name:'', key:'U', openWith:'[u]', closeWith:'[/u]'},
		{name:'',  openWith:'[s]', closeWith:'[/s]'},
		{name:' ',  openWith:'[sup]', closeWith:'[/sup]'},
		{name:' ',  openWith:'[sub]', closeWith:'[/sub]'},
		{separator:'---------------' },
		{name:'', key:'P', replaceWith:'[img][![  :!:http://]!] alt=[![ :\nAlt = ]!]', closeWith:'[/img]'},
		{name:' ', openWith:'[zoom max=[![   :!:http://]!] min=[![   :\n http-  ,\n    .]!]]'},
		{separator:'---------------' },
		{name:'', key:'L', openWith:'[url=[![  :!:http://]!] pic=[![Pic:\n    ,   -.\n      .]!]]', closeWith:'[/url]', placeHolder:''},
		{separator:'---------------' },
		{name:':', className:'headers',
		dropMenu :[
			{name:' ',   className:'h1',  openWith:'[h1]', closeWith:'[/h1]' },
			{name:'',   className:'h2',  openWith:'[h2]', closeWith:'[/h2]' },
			{name:'',   className:'h3',  openWith:'[h3]', closeWith:'[/h3]' },
			{name:'',   className:'h4',  openWith:'[h4]', closeWith:'[/h4]' },
			{name:'',   className:'h5',  openWith:'[h5]', closeWith:'[/h5]' },
			{name:' ',   className:'h6',  openWith:'[h6]', closeWith:'[/h6]' }
		]},
		{name:' :', key:'S', openWith:'[size=[![    (%)  ]!]]', closeWith:'[/size]',
		dropMenu :[
			{name:'<big></big>',          openWith:'[big]',   closeWith:'[/big]' },
			{name:'<small></small>',      openWith:'[small]', closeWith:'[/small]' },
			{name:'  , (%)', openWith:'[size=[![    (%)  ]!]]', closeWith:'[/size]' }
		]},
		{ name:' :', className:'fonts', dropMenu: [
                  { name:'<p style=font-family:arial>Arial</p>',                         className:'arial',     openWith:'[font=Arial]',    closeWith:'[/font]'},
                  { name:'<p style=font-family:verdana>Verdana</p>',                     className:'verdana',   openWith:'[font=Verdana]',  closeWith:'[/font]'},
                  { name:'<p style=font-family:trebuchet>Trebuchet</p>',                 className:'trebuchet', openWith:'[font=Trebuchet]',closeWith:'[/font]'},
                  { name:'<p style=font-family:times>Times</p>',                         className:'times',     openWith:'[font=Times]',    closeWith:'[/font]'},
				  { name:'<p style=font-family:georgia>Georgia</p>',                     className:'georgia',   openWith:'[font=Georgia]',  closeWith:'[/font]'}
        ]
        },
		{separator:'---------------' },
		{name:':', className:'alignments', dropMenu:[
			{name:'  ',  className:'left',   openWith:'[left]' ,   closeWith:'[/left]'},
			{name:' ',     className:'center', openWith:'[center]',  closeWith:'[/center]'},
			{name:'  ', className:'right',  openWith:'[right]' ,  closeWith:'[/right]'},
			{name:' ',       className:'justify',openWith:'[justify]', closeWith:'[/justify]'}
			]
		},
		{separator:'---------------' },
		{name:' ', openWith:'[list]\n[li]', closeWith:'[/li]\n[li][/li]\n[/list]'},
		{name:' ', openWith:'[list=[![ ]!]]\n[li]', closeWith:'[/li]\n[li][/li]\n[/list]'},
		{name:' ', openWith:'[li]', closeWith:'[/li]'},
		{separator:'---------------' },
        {	name:' ', className:'palette', dropMenu: [
				{name:'',	openWith:'[color=FCE94F]', 	closeWith:'[/color]',	className:"col1-1" },
				{name:'',	openWith:'[color=EDD400]', 	closeWith:'[/color]', 	className:"col1-2" },
				{name:'',   openWith:'[color=C4A000]', 	closeWith:'[/color]', 	className:"col1-3" },
				
				{name:'',   openWith:'[color=FCAF3E]', 	closeWith:'[/color]', 	className:"col2-1" },
				{name:'',   openWith:'[color=F57900]', 	closeWith:'[/color]', 	className:"col2-2" },
				{name:'',   openWith:'[color=CE5C00]',  closeWith:'[/color]', 	className:"col2-3" },
				
				{name:'', 	openWith:'[color=E9B96E]', 	closeWith:'[/color]', 	className:"col3-1" },
				{name:'', 	openWith:'[color=C17D11]', 	closeWith:'[/color]', 	className:"col3-2" },
				{name:'',	openWith:'[color=8F5902]', 	closeWith:'[/color]', 	className:"col3-3" },
				
				{name:'', 	openWith:'[color=8AE234]', 	closeWith:'[/color]', 	className:"col4-1" },
				{name:'', 	openWith:'[color=73D216]', 	closeWith:'[/color]', 	className:"col4-2" },
				{name:'',	openWith:'[color=4E9A06]', 	closeWith:'[/color]', 	className:"col4-3" },
				
				{name:'', 	openWith:'[color=729FCF]', 	closeWith:'[/color]', 	className:"col5-1" },
				{name:'', 	openWith:'[color=3465A4]', 	closeWith:'[/color]', 	className:"col5-2" },
				{name:'',	openWith:'[color=204A87]', 	closeWith:'[/color]', 	className:"col5-3" },
	
				{name:'',   openWith:'[color=AD7FA8]', 	closeWith:'[/color]', 	className:"col6-1" },
				{name:'',   openWith:'[color=75507B]', 	closeWith:'[/color]', 	className:"col6-2" },
				{name:'',	openWith:'[color=5C3566]', 	closeWith:'[/color]', 	className:"col6-3" },
				
				{name:'', 	openWith:'[color=EF2929]', 	closeWith:'[/color]', 	className:"col7-1" },
				{name:'', 	openWith:'[color=CC0000]', 	closeWith:'[/color]', 	className:"col7-2" },
				{name:'',	openWith:'[color=A40000]', 	closeWith:'[/color]', 	className:"col7-3" },
				
				{name:'', 	openWith:'[color=FFFFFF]', 	closeWith:'[/color]', 	className:"col8-1" },
				{name:'', 	openWith:'[color=D3D7CF]', 	closeWith:'[/color]', 	className:"col8-2" },
				{name:'',	openWith:'[color=BABDB6]', 	closeWith:'[/color]', 	className:"col8-3" },
				
				{name:'', 	openWith:'[color=888A85]', 	closeWith:'[/color]', 	className:"col9-1" },
				{name:'', 	openWith:'[color=555753]', 	closeWith:'[/color]', 	className:"col9-2" },
				{name:'',	openWith:'[color=000000]', 	closeWith:'[/color]', 	className:"col9-3" }
			]
		},
		{separator:'---------------' },
		{name:' html-', openWith:'[html]', closeWith:'[/html]'},
		{separator:'---------------' },
		{name:'    ', className:"clean", replaceWith:function(markitup) { return markitup.selection.replace(/\[(.*?)\]/g, "") } },
		{name:'   ', className:"preview", call:'preview' }
		
	]
}
